Supported Software for CICS Universal Client (CICS UC) v7.1

Technote (FAQ)


Question

This document lists the IBM and third party software supported for use with the CICS Universal Client (CICS UC) v7.1

Answer

This page provides on-line information about the levels of third-party software that run with CICS UC and supersedes information in the relevant announcement letters and Administration Guide.
Minimum service levels are listed below where appropriate. Where no specific level is listed, support will be provided for the General Availability (GA) release of the third-party product. CICS UC is not tested with every maintenance level of every product; we generally assume vendors do not cause regressions in their maintenance levels.

Products that do not appear below have not been tested with CICS UC v7.1.

Note: Because interaction between releases of operating systems, software products, and CICS UC is very complex, information on this page can possibly conflict with information that is provided by product vendors. If you notice such an inconsistency or if you experience unanticipated problems, consult your vendor's product support and notify your IBM support representative.

Footnotes can be found directly below the table to which they apply.


For End Of Service information, refer to the Product support lifecycle page.

Operating Systems

Windows 2000 Professional SP4
Windows XP Professional SP2 64-bit version is not supported
Windows Vista (Business, Enterprise, Ultimate editions) 64-bit version is not supported
AIX v5.3 Supported as a 32-bit application on both 32-bit and 64-bit kernels
AIX v6.1 Supported as a 32-bit application on both 32-bit and 64-bit kernels
Solaris 9 Supported as a 32-bit application on both 32-bit and 64-bit kernels. Supported on SPARC systems only
Solaris 10 Supported as a 32-bit application on both 32-bit and 64-bit kernels. Supported on SPARC systems only
HP-UX 11i v2 Supported as a 32-bit application on both 32-bit and 64-bit kernels.
Supported on both Itanium and PA-RISC hardware
HP-UX 11i v3 Supported as a 32-bit application on both 32-bit and 64-bit kernels.
Supported on both Itanium and PA-RISC hardware
Novell Linux Desktop 9 (Linux on Intel) (1) Supported as a 32-bit application on the 32-bit kernel
SUSE Linux Enterprise Desktop 10 (Linux on Intel) (1) Supported as a 32-bit application on the 32-bit kernel
RHEL 4 (Linux on Intel) (1) Update 2 Supported as a 32-bit application on both 32-bit and 64-bit kernels
RHEL 5 (Linux on Intel) Supported as a 32-bit application on both 32-bit and 64-bit kernels
SLES 9 (Linux on Intel) (1) SP2 Supported as a 32-bit application on both 32-bit and 64-bit kernels
SLES 10 (Linux on Intel) Supported as a 32-bit application on both 32-bit and 64-bit kernels
RHEL 4 (Linux on POWER) (1) Update 4 Supported as a 32-bit application on the 64-bit kernel.
RHEL 5 (Linux on POWER) Supported as a 32-bit application on the 64-bit kernel.
SLES 9 (Linux on POWER) (1) Supported as a 32-bit application on the 64-bit kernel.
SLES 10 (Linux on POWER) Supported as a 32-bit application on the 64-bit kernel.
RHEL 4 (Linux on zSeries) (1) Supported as a 31-bit application on the 64-bit kernel
RHEL 5 (Linux on zSeries) Supported as a 31-bit application on the 64-bit kernel
SLES 9 (Linux on zSeries) (1) Supported as a 31-bit application on the 64-bit kernel.
SLES 10 (Linux on zSeries) Supported as a 31-bit application on the 64-bit kernel.
1) Both NPTL and LT threading models are supported, however, NPTL may provide better performance




SNA Servers

Product
Minimum Service Level
Notes
Microsoft Host Integration Server 2006
Microsoft Host Integration Server 2004
IBM Communications Server v6.2.2 for Linux on zSeries
IBM Communications Server v6.2.2 for Linux Includes Linux on Intel and Linux on POWER support
IBM Communications Server v6.3 for AIX Requires APAR IY94042
IBM Communications Server v6.1.2 for Windows Windows API client requires fix to APAR LI71318
No Vista support until 6.1.3
IBM Personal Communications v5.9 for Windows
IBM Personal Communications v5.8 for Windows
IBM Communications Server Remote API Client v6.1.0.3
SNAP-IX V7 for Solaris
SNAPlus2 for HP-UX on PA-Risc and Itanium(2) R6 R7 is required for Enterprise-Extender support
2) CICS TG v7.1.0.2 required

CICS Servers
Product
Minimum Service Level
Notes
CICS TS for z/OS V2.2 and later. IPIC not supported
CICS/VSE v2.3 APAR PQ30169 (required for signon capable terminals)
CICS TS for VSE/ESA v1.1.1 APARs PQ52342 & PQ80212 (required for TCP/IP)
APAR PQ30170 (required for signon capable terminals)
CICS TS for iSeries v5.3and later.
TXSeries v5.1 and later IPIC not supported
CICS TS for Windows v5.0

Application Development Tools and Compilers
Development Language
Platform
C/C++
Others
Windows Microsoft Visual C++ .NET 2003 (3)
Microsoft Visual C++ 2005
COBOL:
IBM COBOL for Windows V7, Supplied with IBM WebSphere Developer for System z v7.0
IBM COBOL for Windows V6, Supplied with IBM WebSphere Developer for System z v6.0
Micro Focus Net Express v4.0
Visual Basic:
Visual Basic .NET Standard 2003 (3,4)
Visual Basic 2005(3,4)
AIX XL C/C++ Enterprise Edition V7.0 for AIX
XL C/C++ Enterprise Edition V8.0 for AIX
XL C/C++ Enterprise Edition V9.0 for AIX
IBM COBOL compiler for AIX v2.0
Micro Focus Server Express V5.0, COBOL compiler for AIX
Micro Focus Server Express V4.0, COBOL compiler for AIX
Solaris Sun ONE Studio 10
Sun ONE Studio 11
Micro Focus Server Express V5.0, COBOL compiler for Solaris
HP-UX aC++ compiler
ANSI C compiler
Micro Focus Server Express V5.0, COBOL compiler for HP-UX
Linux on POWER GNU C/C++ compiler (gcc) 3.3, 3.4 or 4.1
XL C/C++ Enterprise Edition V7.0 for Linux
XL C/C++ Enterprise Edition V8.0 for Linux
XL C/C++ Enterprise Edition V9.0 for Linux
Micro Focus Server Express V5.0, COBOL compiler for Linux on POWER
Linux on Intel GNU C/C++ compiler (gcc) 3.3, 3.4 or 4.1 Micro Focus Server Express V5.0, COBOL compiler for Linux on Intel
Linux on zSeries GNU C/C++ compiler (gcc) 3.3, 3.4 or 4.1 Micro Focus Server Express V5.0, COBOL compiler for Linux on zSeries
3) Supported to produce unmanaged code
4) The CICS Transaction Gateway does not support the use of COM libraries with Microsoft Transaction Server (MTS), or the MTS component of COM+

Other
Product
Minimum Service Level
Notes
JAWS screen reader v6.0

Rate this page:

(0 users)Average rating

Document information


More support for:

CICS Transaction Gateway
CTG

Software version:

7.1

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

1290870

Modified date:

2014-10-08

Translate my page

Machine Translation

Content navigation